Skip to content

SD-WAN ​

16 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getGridSdWanGroupGETGet SD-WAN Group Grid. (deprecated)
createSdWanGroupPOSTCreate SD-WAN Group.
deleteSdWanGroupDELETEDelete SD-WAN Group.
getCurrentSdWanGroupGETGet SD-WAN Group.
modifySdWanGroupPUTModify SD-WAN Group.
firstCheckConnectionGETFirst check SD-WAN group connection.
autoCreateSdWanGroupNameGETAuto create group name.
getGridSdWanGroupBriefGETGet SD-WAN Group Grid brief info.
getGridSdWanGroupDevicesPOSTGet SD-WAN candidate devices.
checkSdWanGroupIpPoolPOSTCheck SD-WAN IP pool conflict. (deprecated)
modifyLanIpRangePUTModify selected LanNetwork IP.
modifySdWanGroupNetWorkMapPUTModify SD-WAN Group NAT info.
checkModifiedMappedNetworkPOSTCheck modified mapped network.
autoCreateMappingNetworkPOSTAuto create mapped network.
autoSelectWanPortRecommendResultPOSTAuto recommend WAN port.
getSdWanGroupDevicesGETGet current SD-WAN devices.

getGridSdWanGroup ​

GET /openapi/v1/{omadacId}/sdwan/sdwan-group

Deprecated

This operation is deprecated.

Get SD-WAN Group Grid.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridSdWanGroup"
}
Details, permissions and error codes

Get all SD-WAN Group. This interface has been deprecated. Please use the following interfaces instead: getGridSdWanGroupBrief
The interface requires one of the permissions:
SD WAN View Only

createSdWanGroup ​

POST /openapi/v1/{omadacId}/sdwan/sdwan-group

Create SD-WAN Group.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema SdWanGroup

FieldTypeRequiredDescription
namestringyesThe name of the SD-WAN group
descriptionstringnoThe description of the SD-WAN group
ipPoolStartstringnoThe start of the IP pool of the SD-WAN group, it is recommended to ignore it as it will be generated automatically
ipPoolEndstringnoThe end of the IP pool of the SD-WAN group, it is recommended to ignore it as it will be generated automatically
memberListarray<SdWanMemberConfig>yesA list of members of the SD-WAN group
linkedSpokesarray<SdWanLinkedSpokeConfig>noA list of linked-spokes of the SD-WAN group
enableNatbooleanyesWhether the group enable SD-WAN virtual network Map
natInfoSdWanNatInfoConfigno(SdWanNatInfoConfig not expanded; call omada_get_schema "SdWanNatInfoConfig")
json
// omada_call_operation
{
  "operationId": "createSdWanGroup",
  "body": "{...}"
}
Details, permissions and error codes

Create SD-WAN Group.
The interface requires one of the permissions:
SD WAN Modify

deleteSdWanGroup ​

DELETE /openapi/v1/{omadacId}/sdwan/sdwan-group/{groupId}

Delete SD-WAN Group.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
groupIdpathstringyesThe ID of a SD-WAN Group
json
// omada_call_operation
{
  "operationId": "deleteSdWanGroup",
  "params": {
    "groupId": "<groupId>"
  }
}
Details, permissions and error codes

Delete SD-WAN Group.
The interface requires one of the permissions:
SD WAN Modify

getCurrentSdWanGroup ​

GET /openapi/v1/{omadacId}/sdwan/sdwan-group/{groupId}

Get SD-WAN Group.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
groupIdpathstringyesThe ID of a SD-WAN Group
json
// omada_call_operation
{
  "operationId": "getCurrentSdWanGroup",
  "params": {
    "groupId": "<groupId>"
  }
}
Details, permissions and error codes

Get SD-WAN Group.
The interface requires one of the permissions:
SD WAN View Only

modifySdWanGroup ​

PUT /openapi/v1/{omadacId}/sdwan/sdwan-group/{groupId}

Modify SD-WAN Group.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
groupIdpathstringyesThe ID of a SD-WAN Group

Request body — application/json (required) — schema SdWanGroup

FieldTypeRequiredDescription
namestringyesThe name of the SD-WAN group
descriptionstringnoThe description of the SD-WAN group
ipPoolStartstringnoThe start of the IP pool of the SD-WAN group, it is recommended to ignore it as it will be generated automatically
ipPoolEndstringnoThe end of the IP pool of the SD-WAN group, it is recommended to ignore it as it will be generated automatically
memberListarray<SdWanMemberConfig>yesA list of members of the SD-WAN group
linkedSpokesarray<SdWanLinkedSpokeConfig>noA list of linked-spokes of the SD-WAN group
enableNatbooleanyesWhether the group enable SD-WAN virtual network Map
natInfoSdWanNatInfoConfigno(SdWanNatInfoConfig not expanded; call omada_get_schema "SdWanNatInfoConfig")
json
// omada_call_operation
{
  "operationId": "modifySdWanGroup",
  "params": {
    "groupId": "<groupId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify SD-WAN Group.
The interface requires one of the permissions:
SD WAN Modify

firstCheckConnection ​

GET /openapi/v1/{omadacId}/sdwan/sdwan-group/{groupId}/firstCheck

First check SD-WAN group connection.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
groupIdpathstringyesThe ID of a SD-WAN Group
json
// omada_call_operation
{
  "operationId": "firstCheckConnection",
  "params": {
    "groupId": "<groupId>"
  }
}
Details, permissions and error codes

First check the connection between devices in the SD-WAN group.
The interface requires one of the permissions:
SD WAN View Only

autoCreateSdWanGroupName ​

GET /openapi/v1/{omadacId}/sdwan/sdwan-group/auto/groupName

Auto create group name.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
json
// omada_call_operation
{
  "operationId": "autoCreateSdWanGroupName"
}
Details, permissions and error codes

Auto create group name.
The interface requires one of the permissions:
SD WAN View Only

getGridSdWanGroupBrief ​

GET /openapi/v1/{omadacId}/sdwan/sdwan-group/brief

Get SD-WAN Group Grid brief info.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridSdWanGroupBrief"
}
Details, permissions and error codes

Get all SD-WAN Group brief info.
The interface requires one of the permissions:
SD WAN View Only

getGridSdWanGroupDevices ​

POST /openapi/v1/{omadacId}/sdwan/sdwan-group/candidate/devices

Get SD-WAN candidate devices.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema QuerySdWanCandidateDevice

FieldTypeRequiredDescription
pageintegeryesStart from 1.
pageSizeintegeryesIt should be within the range of 1–1000.
sortsobjectno
searchKeystringnoLook for a specific piece of data.
filtersobjectno
searchFieldstringno
tunnelLimitintegeryesThe maximum number of VPN tunnels that can be created. Used to filter devices that meet the minimum supported tunnel count. Only those that support a tunnel count greater than the minimum will be listed.
groupIdstringnoThe ID of the SD-WAN group.
roleintegeryesThe role in SD-WAN Group. 0:Hub,1:Spoke
excludeDeviceMacsarray<string>noA list of exclude Device MAC for the candidate.
json
// omada_call_operation
{
  "operationId": "getGridSdWanGroupDevices",
  "body": "{...}"
}
Details, permissions and error codes

Get SD-WAN candidate devices.
The interface requires one of the permissions:
SD WAN View Only

checkSdWanGroupIpPool ​

POST /openapi/v1/{omadacId}/sdwan/sdwan-group/ipPool/check

Deprecated

This operation is deprecated.

Check SD-WAN IP pool conflict.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema SdWanIpPoolRange

FieldTypeRequiredDescription
ipPoolStartstringyesThe start of the IP pool of the sdWan group.
ipPoolEndstringyesThe end of the IP pool of the sdWan group.
groupIdstringnoThe SD-WAN group ID.
tunnelLimitintegeryesEnter the number of tunnels required by this group to determine if the number of IPs in the IP pool is sufficient.
json
// omada_call_operation
{
  "operationId": "checkSdWanGroupIpPool",
  "body": "{...}"
}
Details, permissions and error codes

Check whether the IP pool conflicts with the IP pool of other SD-WAN groups.
The interface requires one of the permissions:
SD WAN View Only

modifyLanIpRange ​

PUT /openapi/v1/{omadacId}/sdwan/sdwan-group/lan/modify

Modify selected LanNetwork IP.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema ModifyLanNetworkBrief

FieldTypeRequiredDescription
idstringyesThe ID of the lan network
siteIdstringyesThe site ID of the lan network
namestringyesThe name of the lan network
vlanintegernoThe vlan number of the lan network
gatewaySubnetstringyesThe Gateway Subnet of the lan network
ipaddrStartstringyesThe starting host IP address of gatewaySubnet
ipaddrEndstringyesThe ending host IP address of gatewaySubnet
json
// omada_call_operation
{
  "operationId": "modifyLanIpRange",
  "body": "{...}"
}
Details, permissions and error codes

Modify selected LanNetwork IP.
The interface requires one of the permissions:
SD WAN Modify

modifySdWanGroupNetWorkMap ​

PUT /openapi/v1/{omadacId}/sdwan/sdwan-group/map/{groupId}

Modify SD-WAN Group NAT info.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
groupIdpathstringyesThe ID of a SD-WAN Group

Request body — application/json (required) — schema SdWanNatInfoConfig

FieldTypeRequiredDescription
defaultMapNetworkListarray<string>noA list of the default mapping network
customMapNetworkListarray<string>noA list of the customized mapping network
networkMapListarray<SdWanNatItemConfig>noA list of the network map item
json
// omada_call_operation
{
  "operationId": "modifySdWanGroupNetWorkMap",
  "params": {
    "groupId": "<groupId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify SD-WAN Group NAT info.
The interface requires one of the permissions:
SD WAN Modify

checkModifiedMappedNetwork ​

POST /openapi/v1/{omadacId}/sdwan/sdwan-group/map/check

Check modified mapped network.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema CheckMappedNetwork

FieldTypeRequiredDescription
modifiedNetworkstringyesThe IP Subnet of the modified network
memberListarray<SdWanMemberSelected>yesA list of members of the SD-WAN group
mappedNetworksarray<string>noA list of current mapped network of the SD-WAN group
json
// omada_call_operation
{
  "operationId": "checkModifiedMappedNetwork",
  "body": "{...}"
}
Details, permissions and error codes

Check modified mapped network.
The interface requires one of the permissions:
SD WAN View Only

autoCreateMappingNetwork ​

POST /openapi/v1/{omadacId}/sdwan/sdwan-group/map/network

Auto create mapped network.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema SdWanSelectedMapNetwork

FieldTypeRequiredDescription
lanNetworksarray<SdWanLanNetworkNatReq>noA list of original lan network
customNetworkarray<SdWanLanNetworkNatReq>noA list of original custom route
mapNetworkListarray<string>noA list of map network range
memberListarray<SdWanMemberSelected>noA list of members of the SD-WAN group
groupIdstringnoThe SD-WAN group ID.
json
// omada_call_operation
{
  "operationId": "autoCreateMappingNetwork",
  "body": "{...}"
}
Details, permissions and error codes

Auto create mapped network.
The interface requires one of the permissions:
SD WAN View Only

autoSelectWanPortRecommendResult ​

POST /openapi/v1/{omadacId}/sdwan/sdwan-group/recommend/wans

Auto recommend WAN port.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema BatchAutoSelectWanPortReq

FieldTypeRequiredDescription
memberListarray<AutoSelectWanPortReq>noA list of the SD-WAN devices which use auto select.
json
// omada_call_operation
{
  "operationId": "autoSelectWanPortRecommendResult",
  "body": "{...}"
}
Details, permissions and error codes

Get the result of recommended WAN port with Auto Select.
The interface requires one of the permissions:
SD WAN View Only

getSdWanGroupDevices ​

GET /openapi/v1/{omadacId}/sdwan/sdwan-group/saved/devices/{groupId}

Get current SD-WAN devices.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
groupIdpathstringyesThe ID of a SD-WAN Group
json
// omada_call_operation
{
  "operationId": "getSdWanGroupDevices",
  "params": {
    "groupId": "<groupId>"
  }
}
Details, permissions and error codes

Get current SD-WAN devices that participate in the networking.
The interface requires one of the permissions:
SD WAN View Only

Released under the MIT License. Not affiliated with or endorsed by TP-Link.